Package csb :: Package bio :: Package fragments :: Module rosetta :: Class ExtendedOutputBuilder

[frames] | no frames]

# Class ExtendedOutputBuilder

source code

       object --+
                |
    OutputBuilder --+
                    |
                   ExtendedOutputBuilder

Builds non-standard fragment files, which contain the CA coordinates of each residue at the end of each line.

Instance Methods

add_residue(self, fragment, residue) Write a new fragment residue. | source code

Inherited from `OutputBuilder`: `__init__`, `add_fragment`, `add_position` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `OutputBuilder`: `output` Inherited from `object`: `__class__`

Method Details

### add_residue(self, fragment, residue)

source code

Write a new fragment residue.

Overrides: OutputBuilder.add_residue
  (inherited documentation)